GNU bug report logs - #19925
25.0.50; mouseover menu items takes up to 30sec to show the proper tooltip or message

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Drew Adams <drew.adams@HIDDEN>; merged with #18543; dated Sun, 22 Feb 2015 22:55:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 18543 19925. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 19925 <at> debbugs.gnu.org:


Received: (at 19925) by debbugs.gnu.org; 23 Feb 2015 05:17:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 23 00:17:37 2015
Received: from localhost ([127.0.0.1]:50989 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YPlOj-0002ll-9l
	for submit <at> debbugs.gnu.org; Mon, 23 Feb 2015 00:17:37 -0500
Received: from mailfe09.swip.net ([212.247.155.1]:48169 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1YPlOg-0002lb-9g
 for 19925 <at> debbugs.gnu.org; Mon, 23 Feb 2015 00:17:35 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe09.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 401947051; Mon, 23 Feb 2015 06:17:31 +0100
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 8.2 \(2070.6\))
Subject: Re: bug#19925: 25.0.50;
 mouseover menu items takes up to 30sec to show the proper tooltip
 or	message
From: "Jan D." <jan.h.d@HIDDEN>
In-Reply-To: <837fv98faf.fsf@HIDDEN>
Date: Mon, 23 Feb 2015 06:17:30 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <2D412C8E-DB77-4E4B-AED9-A9D056439B3D@HIDDEN>
References: <1d10f417-acb4-4b32-8bc3-fe949388330d@default>
 <837fv98faf.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.2070.6)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 19925
Cc: Drew Adams <drew.adams@HIDDEN>, 19925 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi.

> 23 feb 2015 kl. 04:42 skrev Eli Zaretskii <eliz@HIDDEN>:
>=20
>> Date: Sun, 22 Feb 2015 14:54:44 -0800 (PST)
>> From: Drew Adams <drew.adams@HIDDEN>
>>=20
>> Moving the mouse over menu items, a user should see the associated
>> :help pretty much immediately - at most after a delay of a second or
>> two.
>>=20
>> Instead, sometimes the help text is shown immediately, sometimes it =
is
>> shown only after, say, 30 seconds, and sometimes after any number of
>> seconds less than, say, 30.  I'm not sure, but I think the problem =
might
>> be somewhat more pronounced for items on a submenu or a subsubmenu.
>>=20
>> The same problem occurs, regardless of whether tooltip mode is on.  =
That
>> is, it happens whether the mouseover text is shown in a tooltip or in
>> the echo area.
>>=20
>> This bug renders mouseover help on menu items useless, and it makes
>> Emacs look pretty bad.
>>=20
>> Worse: because the help text for a previously mouseovered menu item
>> remains displayed, a user can read it mistakenly as the help for the
>> item the mouse is currently over.  That is, the text is not removed =
when
>> you move mouse away from a given item, just as it is not updated when
>> you move mouse to another item.  The help display is, well, the
>> opposite of helpful.
>=20
> AFAICS, that's because the cursor stops blinking after 10 blinks.
> Make it blink forever, and the problem is gone.
>=20
> There's nothing that can be done here to fix this.  Tooltips for w32
> menu items need input events to pop up, because when a menu is shown,
> Emacs doesn't have control, and waits for the menu to pop down.

It sounds strange to tie tooltips to the blink cursor.  This is how it =
is done for X and NS:

On mousover, check if tooltip timer has been started, if not start it.
If mouse moves outside area for tooltip, cancel timer, or if it moves =
into another area, cancel timer and start a new one.
When timer fires, inject an event to show tooltip.

I this not how it is done on w32?  If not, why not?
I know enough about w32 to know that this is doable.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19925; Package emacs. Full text available.

Message received at 19925 <at> debbugs.gnu.org:


Received: (at 19925) by debbugs.gnu.org; 23 Feb 2015 04:40:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 22 23:40:30 2015
Received: from localhost ([127.0.0.1]:50985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YPkon-0001tE-MC
	for submit <at> debbugs.gnu.org; Sun, 22 Feb 2015 23:40:30 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:32768)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1YPkok-0001t5-1h
 for 19925 <at> debbugs.gnu.org; Sun, 22 Feb 2015 23:40:27 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AloJAPOG1lRsoXmY/2dsb2JhbABbgwaDX8NvgkkEAgKBDUQBAQEBAQF8hA0BBAFWIwULCzQHCxQYDSSIOAjOIwEBAQEBAQQBAQEBHo94B4QqBYonn0uBRSKCMoFaIIJzAQEB
X-IPAS-Result: AloJAPOG1lRsoXmY/2dsb2JhbABbgwaDX8NvgkkEAgKBDUQBAQEBAQF8hA0BBAFWIwULCzQHCxQYDSSIOAjOIwEBAQEBAQQBAQEBHo94B4QqBYonn0uBRSKCMoFaIIJzAQEB
X-IronPort-AV: E=Sophos;i="5.09,536,1418101200"; d="scan'208";a="111191136"
Received: from 108-161-121-152.dsl.teksavvy.com (HELO pastel.home)
 ([108.161.121.152])
 by ironport2-out.teksavvy.com with ESMTP/TLS/DHE-RSA-AES256-SHA;
 22 Feb 2015 23:40:25 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id 338D3A00; Sun, 22 Feb 2015 23:39:52 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19925: 25.0.50;
 mouseover menu items takes up to 30sec to show the proper tooltip
 or	message
Message-ID: <jwvy4npfdie.fsf-monnier+emacsbugs@HIDDEN>
References: <1d10f417-acb4-4b32-8bc3-fe949388330d@default>
 <837fv98faf.fsf@HIDDEN>
Date: Sun, 22 Feb 2015 23:39:52 -0500
In-Reply-To: <837fv98faf.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 23 Feb
 2015 05:42:16 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 19925
Cc: Drew Adams <drew.adams@HIDDEN>, 19925 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> AFAICS, that's because the cursor stops blinking after 10 blinks.
> Make it blink forever, and the problem is gone.

> There's nothing that can be done here to fix this.  Tooltips for w32
> menu items need input events to pop up, because when a menu is shown,
> Emacs doesn't have control, and waits for the menu to pop down.

Can't we cause regular dummy events?


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19925; Package emacs. Full text available.

Message received at 19925 <at> debbugs.gnu.org:


Received: (at 19925) by debbugs.gnu.org; 23 Feb 2015 04:33:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 22 23:33:57 2015
Received: from localhost ([127.0.0.1]:50981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YPkiS-0001jh-Ns
	for submit <at> debbugs.gnu.org; Sun, 22 Feb 2015 23:33:57 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:32119)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1YPkiQ-0001jZ-GM
 for 19925 <at> debbugs.gnu.org; Sun, 22 Feb 2015 23:33:54 -0500
Received: from acsinet21.oracle.com (acsinet21.oracle.com [141.146.126.237])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 t1N4Xqc7017956
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Mon, 23 Feb 2015 04:33:53 GMT
Received: from userz7021.oracle.com (userz7021.oracle.com [156.151.31.85])
 by acsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id t1N4Xp0e016896
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Mon, 23 Feb 2015 04:33:52 GMT
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by userz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id t1N4XoVH025549;
 Mon, 23 Feb 2015 04:33:51 GMT
MIME-Version: 1.0
Message-ID: <251ac5a9-6bcb-49b4-833b-ec0384269a23@default>
Date: Sun, 22 Feb 2015 20:33:44 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#19925: 25.0.50; mouseover menu items takes up to 30sec to
 show the proper tooltip or	message
References: <<1d10f417-acb4-4b32-8bc3-fe949388330d@default>>
 <<837fv98faf.fsf@HIDDEN>> <b1bbbbd9-9a78-42e1-bce0-4b2f14666348@default>
In-Reply-To: <b1bbbbd9-9a78-42e1-bce0-4b2f14666348@default>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8.2  (807160) [OL
 12.0.6691.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet21.oracle.com [141.146.126.237]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19925
Cc: 19925 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

I see that this bug report is similar to that of #18543.
Please feel free to merge them if you think that is appropriate.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19925; Package emacs. Full text available.

Message received at 19925 <at> debbugs.gnu.org:


Received: (at 19925) by debbugs.gnu.org; 23 Feb 2015 04:29:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 22 23:29:19 2015
Received: from localhost ([127.0.0.1]:50977 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YPkdy-0001bx-R4
	for submit <at> debbugs.gnu.org; Sun, 22 Feb 2015 23:29:19 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:19920)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1YPkdw-0001bo-LH
 for 19925 <at> debbugs.gnu.org; Sun, 22 Feb 2015 23:29:17 -0500
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 t1N4TF5M023295
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Mon, 23 Feb 2015 04:29:15 GMT
Received: from userz7022.oracle.com (userz7022.oracle.com [156.151.31.86])
 by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id t1N4TEVQ025256
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Mon, 23 Feb 2015 04:29:14 GMT
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by userz7022.oracle.com (8.14.5+Sun/8.14.4) with ESMTP id t1N4TDiR028741;
 Mon, 23 Feb 2015 04:29:13 GMT
MIME-Version: 1.0
Message-ID: <b1bbbbd9-9a78-42e1-bce0-4b2f14666348@default>
Date: Sun, 22 Feb 2015 20:29:06 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#19925: 25.0.50;	mouseover menu items takes up to 30sec to
 show the proper tooltip or	message
References: <<1d10f417-acb4-4b32-8bc3-fe949388330d@default>>
 <<837fv98faf.fsf@HIDDEN>>
In-Reply-To: <<837fv98faf.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8.2  (807160) [OL
 12.0.6691.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19925
Cc: 19925 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> AFAICS, that's because the cursor stops blinking after 10 blinks.
> Make it blink forever, and the problem is gone.
>=20
> There's nothing that can be done here to fix this.  Tooltips for w32
> menu items need input events to pop up, because when a menu is shown,
> Emacs doesn't have control, and waits for the menu to pop down.

Excellent reply; thank you, Eli.  Changing `blink-cursor-blinks' to
0 does indeed make both tooltip help and echo-area help work properly
for mouseover.

(I assume that what you say about the limitation of w32 tooltips for
menu items applies also to echo-area help for menu items.)

I would suggest that:

1. Users will expect help on menu items to just work, out of the box.

2. They, like I, will not understand the default behavior.  And as
   I mentioned earlier, they will get into trouble by relying on the
   incorrect information that is displayed (unsynced pointer position
   and displayed help).  They could even get into big trouble - loss
   of data, by picking the wrong menu item.

3. The connection between option `blink-cursor-blink' and this
   unfortunate default behavior is, to put it mildly, difficult to
   discover.  Even if I look at the doc for `blink-cursor-blink' I
   would have a hard time making the connection.  And of course a
   user will not land on the `blink-cursor-blink' doc by accident
   in this context.

I would suggest the following, as a partial remedy:

1. This defect (yes, it is a defect, even if it is the result of
   using a particular OS or window manager) should be documented
   fairly prominently, where tooltip and echo-area help is presented.

   That means not only the manual but also the doc string of
   `tooltip-mode' - not because this has anything to do with that
   mode (the problem exists whether the mode is on or off), but
   only because a user looking for help regarding this behavior
   might look for things having to do with tooltips.

2. Make the default value of `blink-cursor-blinks' be 0, at least
   on the platforms that present this defect.

Would it perhaps be possible also to change the value to 0 as soon
as a user mouseovers a menu?  And then change it back to its
previous value when the menu is no longer displayed?  Could Emacs
detect those events?  IOW, before "waiting for the menu to pop down",
couldn't it set the value to 0, and then when it pops down set it
back to its previous value?

If that's not feasible then I do hope that #1 and #2 will be done.
The current situation is not friendly to users, and it makes Emacs
look like it is quite handicapped and unhelpful.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19925; Package emacs. Full text available.

Message received at 19925 <at> debbugs.gnu.org:


Received: (at 19925) by debbugs.gnu.org; 23 Feb 2015 03:42:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 22 22:42:17 2015
Received: from localhost ([127.0.0.1]:50967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YPjuT-0000Wy-DD
	for submit <at> debbugs.gnu.org; Sun, 22 Feb 2015 22:42:17 -0500
Received: from mtaout24.012.net.il ([80.179.55.180]:35010)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1YPjuQ-0000Wn-7I
 for 19925 <at> debbugs.gnu.org; Sun, 22 Feb 2015 22:42:15 -0500
Received: from conversion-daemon.mtaout24.012.net.il by mtaout24.012.net.il
 (HyperSendmail v2007.08) id <0NK700E00GBFY000@HIDDEN> for
 19925 <at> debbugs.gnu.org; Mon, 23 Feb 2015 05:33:51 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout24.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NK7007XIGKF4Z70@HIDDEN>; Mon, 23 Feb 2015 05:33:51 +0200 (IST)
Date: Mon, 23 Feb 2015 05:42:16 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19925: 25.0.50;
 mouseover menu items takes up to 30sec to show the proper tooltip
 or	message
In-reply-to: <1d10f417-acb4-4b32-8bc3-fe949388330d@default>
X-012-Sender: halo1@HIDDEN
To: Drew Adams <drew.adams@HIDDEN>
Message-id: <837fv98faf.fsf@HIDDEN>
References: <1d10f417-acb4-4b32-8bc3-fe949388330d@default>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 19925
Cc: 19925 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Sun, 22 Feb 2015 14:54:44 -0800 (PST)
> From: Drew Adams <drew.adams@HIDDEN>
> 
> Moving the mouse over menu items, a user should see the associated
> :help pretty much immediately - at most after a delay of a second or
> two.
> 
> Instead, sometimes the help text is shown immediately, sometimes it is
> shown only after, say, 30 seconds, and sometimes after any number of
> seconds less than, say, 30.  I'm not sure, but I think the problem might
> be somewhat more pronounced for items on a submenu or a subsubmenu.
> 
> The same problem occurs, regardless of whether tooltip mode is on.  That
> is, it happens whether the mouseover text is shown in a tooltip or in
> the echo area.
> 
> This bug renders mouseover help on menu items useless, and it makes
> Emacs look pretty bad.
> 
> Worse: because the help text for a previously mouseovered menu item
> remains displayed, a user can read it mistakenly as the help for the
> item the mouse is currently over.  That is, the text is not removed when
> you move mouse away from a given item, just as it is not updated when
> you move mouse to another item.  The help display is, well, the
> opposite of helpful.

AFAICS, that's because the cursor stops blinking after 10 blinks.
Make it blink forever, and the problem is gone.

There's nothing that can be done here to fix this.  Tooltips for w32
menu items need input events to pop up, because when a menu is shown,
Emacs doesn't have control, and waits for the menu to pop down.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19925; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Feb 2015 22:55:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 22 17:55:01 2015
Received: from localhost ([127.0.0.1]:50929 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YPfQS-00027W-Pq
	for submit <at> debbugs.gnu.org; Sun, 22 Feb 2015 17:55:01 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52749)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1YPfQQ-00027O-BT
 for submit <at> debbugs.gnu.org; Sun, 22 Feb 2015 17:54:58 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1YPfQP-0001BW-7A
 for submit <at> debbugs.gnu.org; Sun, 22 Feb 2015 17:54:57 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:36662)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1YPfQP-0001BS-4j
 for submit <at> debbugs.gnu.org; Sun, 22 Feb 2015 17:54:57 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:54453)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1YPfQN-0001DV-UN
 for bug-gnu-emacs@HIDDEN; Sun, 22 Feb 2015 17:54:57 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1YPfQJ-0001AO-SY
 for bug-gnu-emacs@HIDDEN; Sun, 22 Feb 2015 17:54:55 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:26782)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1YPfQJ-0001AH-M9
 for bug-gnu-emacs@HIDDEN; Sun, 22 Feb 2015 17:54:51 -0500
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 t1MMsoAp026143
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Sun, 22 Feb 2015 22:54:51 GMT
Received: from aserz7022.oracle.com (aserz7022.oracle.com [141.146.126.231])
 by aserv0022.oracle.com (8.13.8/8.13.8) with ESMTP id t1MMsoae032364
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL)
 for <bug-gnu-emacs@HIDDEN>; Sun, 22 Feb 2015 22:54:50 GMT
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by aserz7022.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id t1MMsogf024385
 for <bug-gnu-emacs@HIDDEN>; Sun, 22 Feb 2015 22:54:50 GMT
MIME-Version: 1.0
Message-ID: <1d10f417-acb4-4b32-8bc3-fe949388330d@default>
Date: Sun, 22 Feb 2015 14:54:44 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.50; mouseover menu items takes up to 30sec to show the proper
 tooltip or message
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8.2  (807160) [OL
 12.0.6691.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0022.oracle.com [141.146.126.234]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Moving the mouse over menu items, a user should see the associated
:help pretty much immediately - at most after a delay of a second or
two.

Instead, sometimes the help text is shown immediately, sometimes it is
shown only after, say, 30 seconds, and sometimes after any number of
seconds less than, say, 30.  I'm not sure, but I think the problem might
be somewhat more pronounced for items on a submenu or a subsubmenu.

The same problem occurs, regardless of whether tooltip mode is on.  That
is, it happens whether the mouseover text is shown in a tooltip or in
the echo area.

This bug renders mouseover help on menu items useless, and it makes
Emacs look pretty bad.

Worse: because the help text for a previously mouseovered menu item
remains displayed, a user can read it mistakenly as the help for the
item the mouse is currently over.  That is, the text is not removed when
you move mouse away from a given item, just as it is not updated when
you move mouse to another item.  The help display is, well, the
opposite of helpful.

In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2014-10-20 on LEG570
Bzr revision: 118168 rgm@HIDDEN
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking=3Dyes,glyphs CPPFLAGS=3D-DGLYPH_DEBUG=3D1'




Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#19925; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 23 Feb 2015 16:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.